| optoMDC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoMDC.registers.mre3_registers.PID Class Reference
Inheritance diagram for optoMDC.registers.mre3_registers.PID:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
| GetPositionLimit (self)
| SetPositionLimit (self, value)
| GetVelocityLimit (self)
| SetVelocityLimit (self, value)

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| kp
| ki
| kd
| min_output
| max_output
| min_integral
| max_integral
| enable_filter
| cutoff_frequency
| position_limit
| position_error
| velocity_limit
| velocity
| name

## Protected Attributes
| _readonly

## Detailed Description

    Control Mode Channel - OF PID Control (with/without Temperature Compensation)
    System ID: 0xB8 through 0xBf

    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | Register Name      | Id   | Type        | Unit | Range | Default | Comment                                          |
    +====================+======+=============+======+=======+=========+==================================================+
    | kp                 | 0x01 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | ki                 | 0x02 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | kd                 | 0x03 |uint 32-bit  |bool  | T/F   | 1       |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | min_output         | 0x04 |float 32-bit |None  |       |         | If PID output reaches this, it is clamped to this|
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | max_output         | 0x05 |float 32-bit |None  |       |         | If PID output reaches this, it is clamped to this|
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | min_integral       | 0x06 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | max_integral       | 0x07 |float 32-bit |None  |       |         |                                                  |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | Enable filter      | 0x13 |boolean      |None  |       | true    | Enables / disables filter on derivate term       |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | Cutoff frequency   | 0x14 |float 32-bit |None  |       | 800.0   | Sets cut-off frequency in Hz                     |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | PID system output  | 0x17 |float 32-bit |None  |       | 0       | Actual output value at PID output                |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | Position Stability Limit Channel 0-1  | 0x19   |float 32-bit     |None  |       | 0.05       | Maximum allowable position error on channel for Mirror stable state.                |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | Position Error Channel 0-1            | 0x1A |float 32-bit |None  |       | 0       | Actual position error on channel               |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | Velocity Stability Limit Channel 0-1  | 0x1B |float 32-bit |None  |       | 0.05       | Maximum allowable velocity on channel for Mirror stable state                |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+
    | Velocity (OF Time Derivative) Channel 0-1  | 0x1C |float 32-bit |None  |       | 0       | Actual velocity on channel, Feedback signal time derivative. Used for mirror stable condition                |
    +--------------------+------+-------------+------+-------+---------+--------------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoMDC.registers.mre3_registers.PID.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

## Member Function Documentation

## ◆ GetPositionLimit()

optoMDC.registers.mre3_registers.PID.GetPositionLimit | ( |  | self | ) |

## ◆ GetVelocityLimit()

optoMDC.registers.mre3_registers.PID.GetVelocityLimit | ( |  | self | ) |

## ◆ help()

optoMDC.registers.mre3_registers.PID.help | ( |  | ) |
| static

## ◆ SetPositionLimit()

optoMDC.registers.mre3_registers.PID.SetPositionLimit | ( |  | self,
|  |  | value )

## ◆ SetVelocityLimit()

optoMDC.registers.mre3_registers.PID.SetVelocityLimit | ( |  | self,
|  |  | value )

## Member Data Documentation

## ◆ _readonly

optoMDC.registers.mre3_registers.PID._readonly
| protected

## ◆ cutoff_frequency

optoMDC.registers.mre3_registers.PID.cutoff_frequency

## ◆ enable_filter

optoMDC.registers.mre3_registers.PID.enable_filter

## ◆ kd

optoMDC.registers.mre3_registers.PID.kd

## ◆ ki

optoMDC.registers.mre3_registers.PID.ki

## ◆ kp

optoMDC.registers.mre3_registers.PID.kp

## ◆ max_integral

optoMDC.registers.mre3_registers.PID.max_integral

## ◆ max_output

optoMDC.registers.mre3_registers.PID.max_output

## ◆ min_integral

optoMDC.registers.mre3_registers.PID.min_integral

## ◆ min_output

optoMDC.registers.mre3_registers.PID.min_output

## ◆ name

optoMDC.registers.mre3_registers.PID.name

## ◆ position_error

optoMDC.registers.mre3_registers.PID.position_error

## ◆ position_limit

optoMDC.registers.mre3_registers.PID.position_limit

## ◆ sys_id

optoMDC.registers.mre3_registers.PID.sys_id

## ◆ velocity

optoMDC.registers.mre3_registers.PID.velocity

## ◆ velocity_limit

optoMDC.registers.mre3_registers.PID.velocity_limit

The documentation for this class was generated from the following file:

- C:/git/138-882-00_optoMDC/src/main/python/optoMDC/registers/mre3_registers.py